## netcdf 3.6.0+3.6.1

=== src/Makefile ===
# $Id: Makefile,v 1.70 2005/02/17 16:15:11 ed Exp $


include macros.make


PACKAGE		= netcdf
SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx win32
DIST_GARBAGE	= \
		config.cache	\
		config.status	\
		MANIFEST
PACKING_LIST	= \
		INSTALL	\
		COPYRIGHT	\
		MANIFEST	\
		Makefile	\
		README		\
		RELEASE_NOTES	\
		VERSION		\
		aclocal.m4	\
		configure	\
		configure.in	\
		macros.make.in	\
		config.guess	\
		config.sub	\
		install-sh	\
		ncconfig.in     \
		rules.make

# I moved fortran to the bottom of the list, sometimes AIX make get's confused 
# if the C library and the fortran library are built in the same second. - Ed
all:		libsrc/all	\
		ncdump/all	\
		ncgen/all	\
		cxx/all \
		fortran/all	\
		f90/all	

test:		fortran/all \
		libsrc/test \
		nc_test/test nctest/test \
		nf_test/test fortran/test \
		ncdump/all ncgen/all f90/test \
		ncdump/test ncgen/test cxx/test 

# This runs the quick large file tests.
extra_test:	all
		cd ncgen; $(MAKE) extra_test; cd ../..
		cd nc_test; $(MAKE) extra_test; cd ../..

# Doesn't just run test, also runs large file tests in nc_test
# directory. Make sure you have plenty of time and disk space before
# running this!
check:		test
		cd nc_test; $(MAKE) all_large_tests; cd ../..

install:	all \
		libsrc/install \
		fortran/install \
		f90/install \
		ncdump/install \
		ncgen/install \
		cxx/install

uninstall:	libsrc/uninstall \
		fortran/uninstall \
		f90/uninstall \
		ncdump/uninstall \
		ncgen/uninstall \
		cxx/uninstall

clean:		libsrc/clean \
		nctest/clean nc_test/clean \
		fortran/clean f90/clean nf_test/clean \
		ncdump/clean ncgen/clean cxx/clean

distclean:	libsrc/distclean \
		nctest/distclean nc_test/distclean \
		fortran/distclean f90/distclean nf_test/distclean \
		ncdump/distclean ncgen/distclean cxx/distclean

libsrc/all	\
libsrc/test	\
libsrc/install	\
libsrc/uninstall	\
libsrc/clean	\
libsrc/distclean	\
nctest/all	\
nctest/test	\
nctest/clean	\
nctest/distclean	\
nc_test/all	\
nc_test/test	\
nc_test/clean	\
nc_test/distclean	\
fortran/clean	\
fortran/distclean	\
f90/clean	\
f90/distclean	\
nf_test/clean	\
nf_test/distclean	\
ncdump/all	\
ncdump/test	\
ncdump/install	\
ncdump/uninstall	\
ncdump/clean	\
ncdump/distclean	\
ncgen/all	\
ncgen/test	\
ncgen/install	\
ncgen/uninstall	\
ncgen/clean	\
ncgen/distclean	\
cxx/clean	\
cxx/distclean	\
:
	@subdir=`echo $@ | sed 's,/.*,,'`; \
	target=`echo $@ | sed 's,.*/,,'`; \
	$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target

fortran/all	\
fortran/test	\
fortran/install	\
fortran/uninstall	\
nf_test/all	\
nf_test/test	\
:
	@case "$(FC)" in \
	    '') echo 1>&2 "Not making \`$@' because no FORTRAN compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

f90/all	\
f90/test	\
f90/install	\
f90/uninstall	\
:
	@case "$(F90)" in \
	    '') echo 1>&2 "Not making \`$@' because no FORTRAN-90 compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

cxx/all	\
cxx/test	\
cxx/install	\
cxx/uninstall	\
:
	@case "$(CXX)" in \
	    '') echo 1>&2 "Not making \`$@' because no C++ compiler"; \
		;; \
	    *)  subdir=`echo $@ | sed 's,/.*,,'`; \
		target=`echo $@ | sed 's,.*/,,'`; \
		$(MAKE) SUBDIR=$$subdir TGET=$$target subdir_target; \
		;; \
	esac

subdir_target:
	@echo ""
	@cd $(SUBDIR) && \
	    echo "Making \`$(TGET)' in directory `pwd`" && \
	    echo "" && \
	    $(MAKE) $(TGET) || exit 1
	@echo ""
	@echo "Returning to directory `pwd`"
	@echo ""

install:	whatis
whatis:		$(MANDIR)/$(WHATIS)
$(MANDIR)/$(WHATIS):	$(MANDIR)
	$(MAKEWHATIS_CMD)
uninstall:
	rm -f $(MANDIR)/$(WHATIS)


################################################################################
# Distribution:

# The following rule checks to see that we're on the right system.  If we're
# not, then the distribution mightn't contain the intended ncgen(1) (not
# to mention that dvips(1) is necessary for building the C++ User's Guide).
#
check_system:	FORCE
	@case "$(OVERRIDE)" in \
	'') case `uname -sr` in \
	    'SunOS 5'*) \
		exit 0;; \
	    *)  echo 1>&2 "Error: Not on a SunOS 5 system."; \
		echo 1>&2 "Set macro OVERRIDE to override."; \
		exit 1;; \
	    esac;; \
	*) exit 0;; \
	esac

# Make a compressed, tar(1) file of the source distribution in the current 
# directory.
#

tar.Z:		check_system FORCE
	@version=`cat VERSION`; \
	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version

$(PACKAGE)-$(VERSION).tar.Z:	ensure_manifest MANIFEST
	id=$(PACKAGE)-$(VERSION) \
	&& rm -rf $$id \
	&& mkdir $$id \
	&& ln -s .. $$id/src \
	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(COMPRESS) > $@ \
	&& rm -r $$id

tar.gz:		check_system FORCE
	@version=`cat VERSION`; \
	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.gz VERSION=$$version

$(PACKAGE)-$(VERSION).tar.gz:	ensure_manifest MANIFEST
	id=$(PACKAGE)-$(VERSION) \
	&& rm -rf $$id \
	&& mkdir $$id \
	&& ln -s .. $$id/src \
	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(ZIP) > $@ \
	&& rm -r $$id

MANIFEST:	FORCE
	$(MAKE) MANIFEST.echo >$@

# This isn't to install docs, it's to make the INSTALL doc.
INSTALL: man/netcdf-install.texi
	makeinfo -I man -o INSTALL --no-headers man/netcdf-install.texi

# Make a compressed, tar(1) file of the source distribution in the
# appropriate FTP directory.
#
# NOTE: Making "ftp" will cause the "tar.gz" file to be made even if it
# already exists.  This is because the MANIFEST file upon which it
# depends must be remade every time.  This is not a waste of time,
# however, if the "tar.gz" target is made in private directories and the
# "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
#
ftp:		check_system FORCE
	version=`cat VERSION`; \
	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.gz \
	    VERSION=$$version; \
	test -r $(FTPDIR)/$(PACKAGE).tar.gz || exit 0; \
	    cd $(FTPDIR) || exit 1;

$(FTPDIR)/$(PACKAGE)-$(VERSION).tar.gz:	$(PACKAGE)-$(VERSION).tar.gz
	rm -f $@
	cp $(PACKAGE)-$(VERSION).tar.gz $@ 
	chmod u+rw,g+rw,o=r $@

# Make a compressed, tar(1) file of the binary distribution in the 
# appropriate FTP directory.
#
binftp:		FORCE
	version=`cat VERSION`; \
	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.tar.Z \
	    VERSION=$$version; \
	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.env \
	    VERSION=$$version
ftpbin:		binftp

$(FTPBINDIR)/$(PACKAGE)-$(VERSION).tar.Z:
	rm -f $@
	id=$(PACKAGE)-$(VERSION) \
	&& rm -f $$id \
	&& ln -s $(prefix) $$id \
	&& tar $(TARFLAGS) - README $$id/bin $$id/include \
	    $$id/lib $$id/man | compress > $@ \
	&& rm $$id
	chmod u+rw,g+rw,o=r $@
	test -r $(FTPBINDIR)/$(PACKAGE).tar.Z || exit 0; \
	    cd $(FTPBINDIR) || exit 1;

$(FTPBINDIR)/$(PACKAGE)-$(VERSION).env:
	cp macros.make $@


include rules.make

=== src/fortran/Makefile ===
# Makefile for the FORTRAN interface to the netCDF library
#
# $Id: Makefile,v 1.31 2005/02/07 17:55:34 ed Exp $


include ../macros.make


INCLUDES 	= -I.. -I../libsrc
LIBRARY		= ../libsrc/libnetcdf.a
# Don't use "-L../libsrc -lnetcdf" in the following because that doesn't
# work on a CRAY T90 (sigh).
ld_netcdf	= $(LIBRARY)
HEADER		= netcdf.inc
LIB_OBJS	= \
		  fort-attio.o	\
		  fort-control.o	\
		  fort-dim.o	\
		  fort-genatt.o	\
		  fort-geninq.o	\
		  fort-genvar.o	\
		  fort-lib.o	\
		  fort-misc.o	\
		  fort-v2compat.o	\
		  fort-vario.o	\
		  fort-var1io.o	\
		  fort-varaio.o	\
		  fort-varmio.o	\
		  fort-varsio.o
#

MANUAL		= netcdf.3f

GARBAGE		= \
		  copy.nc	\
		  ftest		\
		  ftest.f77	\
		  test.nc
#

DIST_GARBAGE	= nfconfig.inc

PACKING_LIST	= \
		  cfortran.doc	\
		  cfortran.h	\
		  depend	\
		  fills.nc	\
		  fort-attio.c	\
		  fort-control.c	\
		  fort-dim.c	\
		  fort-genatt.c	\
		  fort-geninq.c	\
		  fort-genvar.c	\
		  fort-lib.c	\
		  fort-lib.h	\
		  fort-misc.c	\
		  fort-v2compat.c	\
		  fort-vario.c	\
		  fort-var1io.c	\
		  fort-varaio.c	\
		  fort-varmio.c	\
		  fort-varsio.c	\
		  ftest.F	\
		  Makefile	\
		  ncfortran.h	\
		  netcdf.3f	\
		  netcdf.inc	\
		  nfconfig.in install-sh
#


all:		$(LIBRARY) $(MANUAL)

test:		ftest FORCE
	./ftest


install:	$(INCDIR)/$(HEADER)	\
		$(MANDIR)/man3f/$(MANUAL)

uninstall:
	-rm -f $(INCDIR)/$(HEADER)
	-rm -f $(MANDIR)/man3f/$(MANUAL)
	-rm -f $(MANDIR)/man3/$(MANUAL)

ftest:		ftest.o $(LIBRARY)
	$(LINK.F) ftest.o $(ld_netcdf) $(FLIBS) $(LIBS)

# The rule for generating the manual page is here for completeness only.
# The manual page is actually part of the distribution so that we don't
# have to depend on the non-POSIX utility m4(1).
#
$(MANUAL):	../man/netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=FORTRAN $? >$@ || rm $@


include ../rules.make
include depend

ftest.o:	ftest.F
ftest.o:	netcdf.inc
ftest.o:	nfconfig.inc

=== src/man/Makefile ===

# This makefile builds netcdf documentation from texinfo source. The
# four *.texi files are the texinfo files, the *.info, *.txt, etc. are
# all generated from the texi source.

# Users need not generate their own documentation, as the latest
# version is available at the netcdf website
# http://www.unidata.ucar.edu/packages/netcdf

# If you do choose to run this makefile, make sure your makeinfo is
# reasonably up to date. Perl is used to added css link to all html
# pages, but if it fails that's no big deal. htmltidy is also run on
# the html files.

# Below I just check for the info version of each file, and if it's
# out of date, I regenerate all documentation for that manual. I would
# love to fancify this more, but it's Sunday morning and the little
# darlings are about to wake up, so this is no time to get interested
# in make!

# There once was a programmer named Ed,
# who carried build infomation in his head,
# as he aged he forgot,
# and forgot quit a lot,
# so now he uses Makefiles instead!

# $Id: Makefile,v 1.23 2005/01/19 14:44:16 ed Exp $

PACKING_LIST	= Makefile  netcdf.m4 netcdf-install.texi \
		  netcdf.texi netcdf-c.texi netcdf-cxx.texi netcdf-f77.texi netcdf-f90.texi 
include ../macros.make

nmans = netcdf netcdf-install netcdf-c netcdf-f77 netcdf-f90 netcdf-cxx
info_files = netcdf.info netcdf-f77.info netcdf-cxx.info netcdf-f90.info netcdf-c.info netcdf-install.info
txt_files = netcdf.txt netcdf-f77.txt netcdf-cxx.txt netcdf-f90.txt netcdf-c.txt netcdf-install.txt
html_files = netcdf.html netcdf-f77.html netcdf-cxx.html netcdf-f90.html netcdf-c.html netcdf-install.html
ps_files = netcdf.ps netcdf-f77.ps netcdf-cxx.ps netcdf-f90.ps netcdf-c.ps netcdf-install.ps
dvi_files = netcdf.dvi netcdf-f77.dvi netcdf-cxx.dvi netcdf-f90.dvi netcdf-c.dvi netcdf-install.dvi
pdf_files = netcdf.pdf netcdf-f77.pdf netcdf-cxx.pdf netcdf-f90.pdf netcdf-c.pdf netcdf-install.pdf

all: $(info_files) $(txt_files) $(html_files) $(ps_files) $(dvi_files) $(pdf_files) netcdf-man-3.html netcdf-man-3f.html ncgen-man-1.html ncdump-man-1.html INSTALL

%.info : %.texi defines.texi
	makeinfo $<

%.pdf : %.texi defines.texi
	texi2pdf -q --output=$*.pdf $<

%.dvi: %.texi defines.texi
	texi2dvi -c -q $<

%.ps: %.texi %.dvi defines.texi
	dvips -q -o $*.ps $*.dvi

# I don't know why, but makeinfo swallows the "i" in @import. So I have two.
%.html : %.texi defines.texi
	echo "@iimport url(http://my.unidata.ucar.edu/themes/Unidata/style/style.css);">tmp.css
	makeinfo --css-include=tmp.css --html $<
	makeinfo --no-split --css-include=tmp.css --html $<
	-cd $*; tidy -meq *.html

%.txt : %.texi defines.texi
	makeinfo -o $*.txt --no-headers $<

# This isn't to install docs, it's to make the INSTALL doc.
INSTALL: netcdf-install.texi defines.texi
	makeinfo -o INSTALL --no-headers netcdf-install.texi
	cp INSTALL ..

# The man pages are made in libsrc/Makefile and fortran/Makefile too,
# when the distribution is made. Next version (4.0) they will only be
# made here. For this version (3.6.0), make them here so I can easily
# put them in the web site tarball.
netcdf.3: netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=C $? >$@  || rm $@

netcdf-man-3.html: netcdf.3
	groff -man -Thtml $? > $@

ncgen-man-1.html: ../ncgen/ncgen.1
	groff -man -Thtml $? > $@

ncdump-man-1.html: ../ncdump/ncdump.1
	groff -man -Thtml $? > $@

netcdf.3f: netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=FORTRAN $? >$@ || rm $@

netcdf-man-3f.html: netcdf.3f
	groff -man -Thtml $? > $@

# This isn't made by all, but tars up everything needed for the website
web-tarball: all 
	tar cf netcdf_info.tar *.info*
	gzip -f netcdf_info.tar
	zip netcdf_info *.info
	tar cf netcdf_pdf.tar *.pdf
	gzip -f netcdf_pdf.tar
	zip netcdf_pdf *.pdf
	tar cf netcdf_html.tar $(nmans)
	gzip -f netcdf_html.tar
	zip netcdf_html $(nmans)
	tar cf netcdf_txt.tar *.txt
	gzip -f netcdf_txt.tar
	zip netcdf_txt *.txt
	tar cf netcdf_man.tar netcdf.3 netcdf.3f -C ../ncdump ncdump.1 -C ../ncgen ncgen.1
	gzip -f netcdf_man.tar
	cp ../ncdump/ncdump.1 .
	cp ../ncgen/ncgen.1 .
	zip netcdf_man netcdf.3 netcdf.3f ncdump.1 ncgen.1
	rm ncdump.1 ncgen.1
	tar cf netcdf_docs.tar $(nmans) *.pdf *.txt *.html *.tar.gz *.zip
	gzip -f netcdf_docs.tar

clean_up:
	-rm *.info *.ps *.txt *.html tmp.css *.dvi *.log *.pdf *.tar.gz *.zip INSTALL netcdf.3 netcdf.3f
	-rm -rf $(nmans)

include ../rules.make

=== src/nc_test/Makefile ===
# Makefile for netCDF (semi)exhaustive test.
#
# $Id: Makefile,v 1.34 2005/02/07 20:30:22 ed Exp $

include ../macros.make
# M4FLAGS         = -s -B7168
# CC		= cc -fullwarn -woff 1209,1506

INCLUDES	= -I../libsrc

ld_math		= $(MATHLIB)

SRCS		=   nc_test.c \
		    error.c \
		    test_get.c \
		    test_put.c \
		    test_read.c \
		    test_write.c \
		    util.c

OBJS		= $(SRCS:.c=.o)

lib_netcdf	= ../libsrc/libnetcdf.a
ld_netcdf	= -L../libsrc -lnetcdf

time_log	= times

GARBAGE		= nc_test test.nc scratch.nc lint.out $(time_log) large_files quick_large_files

PACKING_LIST	=  $(SRCS) \
		    test_get.m4 \
		    test_put.m4 \
		    error.h \
	            tests.h \
	            quick_large_files.c \
	            large_files.c \
		    depend	\
		    Makefile

MY_CFLAGS = -g -I../libsrc
MY_LDFLAGS = -L../libsrc
MY_LDLIBS = -lnetcdf

all:		nc_test

test:		nc_test
	./nc_test
	@echo '*** Success ***'

install:

uninstall:


nc_test:		$(OBJS) $(lib_netcdf)
	$(LINK.c) $(OBJS) $(ld_netcdf) $(ld_math) $(LIBS)

test_get.c:	test_get.m4

test_put.c:	test_put.m4

nctime:		nctime.o $(lib_netcdf)
	$(LINK.c) nctime.o $(ld_netcdf) $(ld_math) $(LIBS) 

time:	nctime
	time ./nctime 24 13 19 17 > $(time_log)
	awk -f timesum.awk < $(time_log)

sync_test:	nc_sync nc_sync_child
	PATH=$$PATH:. ./nc_sync

sync_programs:	nc_enddef nc_sync nc_sync_child

nc_enddef:	nc_enddef.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_enddef.o -L../libsrc -lnetcdf

nc_sync:	nc_sync.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync.o -L../libsrc -lnetcdf

nc_sync_child:	nc_sync_child.o ../libsrc/libnetcdf.a
	$(LINK.c) -o $@ nc_sync_child.o -L../libsrc -lnetcdf

quick_large_files: quick_large_files.c $(lib_netcdf)
	$(CC) $(CFLAGS) $(MY_CFLAGS) $(LDFLAGS) $(MY_LDFLAGS) $@.c -o $@ $(MY_LDLIBS)

large_files: large_files.c
	$(CC) $(CFLAGS) $(MY_CFLAGS) $(LDFLAGS) $(MY_LDFLAGS) $@.c -o $@ $(MY_LDLIBS)

# This tests whether large files can be written. It has nothing to do
# with netcdf. If you don't have /dev/zero this test will fail. If all
# the other large file tests pass, that's OK, but if any of them fail,
# you need to ensure that you can write very large files.
lfs_test:
	dd if=/dev/zero bs=1000000 count=3000 of=$(TEMP_LARGE)/largefile
	ls -l $(TEMP_LARGE)/largefile
	rm $(TEMP_LARGE)/largefile

# This just does the quick large file tests. 
extra_test : quick_large_files
	./quick_large_files -f $(TEMP_LARGE)/example.nc
	-ls -l $(TEMP_LARGE)/example.nc 
	rm $(TEMP_LARGE)/example.nc

# This does a slow test of a large file, but reading and then writing
# 4 GiB of data.
slow_test: large_files
	./large_files -f $(TEMP_LARGE)/example.nc
	-ls -l $(TEMP_LARGE)/example.nc
	rm $(TEMP_LARGE)/example.nc

# Run all the large file tests we've got. Get a fresh cup of coffee
# and a donut, 'cause this takes a while!
all_large_tests: lfs_test extra_test slow_test

include ../rules.make
include depend

## netcdf 3.6.1

=== src/Makefile ===
--- 
+++ 
@@ -1,11 +1,11 @@
-# $Id: Makefile,v 1.70 2005/02/17 16:15:11 ed Exp $
+# $Id: Makefile,v 1.76 2006/02/26 16:43:59 ed Exp $
 
 
 include macros.make
 
 
 PACKAGE		= netcdf
-SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncdump ncgen man cxx win32
+SUBDIRS		= libsrc nctest nc_test fortran f90 nf_test ncgen ncdump man cxx win32
 DIST_GARBAGE	= \
 		config.cache	\
 		config.status	\
@@ -31,8 +31,8 @@
 # I moved fortran to the bottom of the list, sometimes AIX make get's confused 
 # if the C library and the fortran library are built in the same second. - Ed
 all:		libsrc/all	\
+		ncgen/all	\
 		ncdump/all	\
-		ncgen/all	\
 		cxx/all \
 		fortran/all	\
 		f90/all	
@@ -42,32 +42,35 @@
 		nc_test/test nctest/test \
 		nf_test/test fortran/test \
 		ncdump/all ncgen/all f90/test \
-		ncdump/test ncgen/test cxx/test 
+		ncgen/test ncdump/test cxx/test 
 
 # This runs the quick large file tests.
 extra_test:	all
 		cd ncgen; $(MAKE) extra_test; cd ../..
 		cd nc_test; $(MAKE) extra_test; cd ../..
 
-# Doesn't just run test, also runs large file tests in nc_test
-# directory. Make sure you have plenty of time and disk space before
-# running this!
+# This runs the slow large file tests.
+slow_test:      all
+		cd nc_test; $(MAKE) lfs_test; cd ../..
+
+# Check is the same as test.
 check:		test
-		cd nc_test; $(MAKE) all_large_tests; cd ../..
+extra_check:    extra_test
+slow_check:     slow_test
 
 install:	all \
 		libsrc/install \
 		fortran/install \
 		f90/install \
+		ncgen/install \
 		ncdump/install \
-		ncgen/install \
 		cxx/install
 
 uninstall:	libsrc/uninstall \
 		fortran/uninstall \
 		f90/uninstall \
+		ncgen/uninstall \
 		ncdump/uninstall \
-		ncgen/uninstall \
 		cxx/uninstall
 
 clean:		libsrc/clean \
@@ -184,27 +187,11 @@
 ################################################################################
 # Distribution:
 
-# The following rule checks to see that we're on the right system.  If we're
-# not, then the distribution mightn't contain the intended ncgen(1) (not
-# to mention that dvips(1) is necessary for building the C++ User's Guide).
-#
-check_system:	FORCE
-	@case "$(OVERRIDE)" in \
-	'') case `uname -sr` in \
-	    'SunOS 5'*) \
-		exit 0;; \
-	    *)  echo 1>&2 "Error: Not on a SunOS 5 system."; \
-		echo 1>&2 "Set macro OVERRIDE to override."; \
-		exit 1;; \
-	    esac;; \
-	*) exit 0;; \
-	esac
-
 # Make a compressed, tar(1) file of the source distribution in the current 
 # directory.
 #
 
-tar.Z:		check_system FORCE
+tar.Z:		FORCE
 	@version=`cat VERSION`; \
 	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.Z VERSION=$$version
 
@@ -216,7 +203,7 @@
 	&& tar $(TARFLAGS) - `sed "s|^|$$id/src/|" MANIFEST` | $(COMPRESS) > $@ \
 	&& rm -r $$id
 
-tar.gz:		check_system FORCE
+tar.gz:		FORCE
 	@version=`cat VERSION`; \
 	    $(MAKE) $(MFLAGS) $(PACKAGE)-$$version.tar.gz VERSION=$$version
 
@@ -244,7 +231,7 @@
 # however, if the "tar.gz" target is made in private directories and the
 # "ftp" target is made in the "/upc/$(PACKAGE)/build/" directory.
 #
-ftp:		check_system FORCE
+ftp:		FORCE
 	version=`cat VERSION`; \
 	$(MAKE) $(MFLAGS) $(FTPDIR)/$(PACKAGE)-$$version.tar.gz \
 	    VERSION=$$version; \
@@ -260,6 +247,7 @@
 # appropriate FTP directory.
 #
 binftp:		FORCE
+	-mkdir $(FTPBINDIR)
 	version=`cat VERSION`; \
 	$(MAKE) $(MFLAGS) $(FTPBINDIR)/$(PACKAGE)-$$version.tar.Z \
 	    VERSION=$$version; \

=== src/nf_test/Makefile ===
# Makefile for netCDF (semi)exhaustive FORTRAN test.
#
# $Id: Makefile,v 1.16 2006/02/02 18:44:21 ed Exp $

include ../macros.make

# M4FLAGS	= -s -B7168
# CC		= cc -fullwarn -woff 1209,1506


INCLUDES	= 

lib_netcdf	= ../libsrc/libnetcdf.a
# Don't use "-L../libsrc -lnetcdf" in the following because that doesn't
# work on a CRAY T90 (sigh).
ld_netcdf	= $(lib_netcdf)

M4SRCS		= \
		  test_get.m4	\
		  test_put.m4
#

FSRCS		= \
		  $(M4SRCS:.m4=.F)	\
		  nf_error.F	\
		  nf_test.F	\
		  test_read.F	\
		  test_write.F	\
		  util.F
#

CSRCS		= fortlib.c

OBJS		= \
		  test_get.o	\
		  test_put.o	\
		  nf_error.o	\
		  nf_test.o	\
		  test_read.o	\
		  test_write.o	\
		  util.o	\
		  fortlib.o

time_log	= times

GARBAGE		= \
		  $(time_log)	\
		  lint.out	\
		  nf_test	\
		  scratch.nc	\
		  ftest		\
		  ftest.f77	\
		  ftest.nc       \
		  *.f77
#

PACKING_LIST	= \
		  $(CSRCS)	\
		  $(FSRCS)	\
		  $(M4SRCS)	\
		  depend	\
		  ftest.F	\
		  fills.nc	\
		  Makefile	\
	          tests.inc
#

ftest:		ftest.o $(lib_netcdf)
	$(LINK.F) ftest.o fortlib.o $(ld_netcdf) $(FLIBS) $(LIBS)

all:		nf_test

test:		nf_test ftest
	./nf_test
	./ftest

readonly:	nf_test test.nc
	./nf_test -r

install:

uninstall:


nf_test:	$(OBJS) $(lib_netcdf)
	$(LINK.F) $(OBJS) $(ld_netcdf) $(FLIBS) $(MATHLIB) $(LIBS)


tags:		$(FSRCS) $(CSRCS) FORCE
	ctags -t $(FSRCS) $(CSRCS) ../fortran/*.c ../libsrc/*.c

include ../rules.make

test_get.F:	test_get.m4
test_put.F:	test_put.m4

include depend

## netcdf 4.1.3

=== debian/changelog ===
netcdf (1:4.1.3-7ubuntu2) trusty; urgency=medium

  * Build-depend on automake-1.11.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 22:01:30 +0100

netcdf (1:4.1.3-7ubuntu1) trusty; urgency=medium

  * Build using dh-autoreconf.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 24 Feb 2014 21:43:14 +0100

netcdf (1:4.1.3-7) unstable; urgency=low

  * Team upload
  * Standards-Version updated to 3.9.4
  * Rebuild for the new upstream release of gfortran (that it just a pain)...
    (Closes: #724660)
  * Fix warning description-synopsis-starts-with-article

 -- Sylvestre Ledru <sylvestre@debian.org>  Wed, 09 Oct 2013 14:36:16 +0200

netcdf (1:4.1.3-6) unstable; urgency=low

  * Fixed version for conflicting/breaking against libnetcdfc++5.
    (closes: #662749)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 06 Mar 2012 15:46:18 +0100

netcdf (1:4.1.3-5) unstable; urgency=low

  * Added a Replaces against past libnetcdf6/4 all-in-one package.
  * The C++ binding is versioned as 4, not 5.
  * Added a temporary breaks/replaces against libnetcdfc++5 to allow
    a smooth upgrade in unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 05 Mar 2012 11:18:37 +0100

netcdf (1:4.1.3-4) unstable; urgency=low

  * Re-disabling DAP remote tests to avoid failures on some build boxes.
  * Added a specific homepage for libcf.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 04 Mar 2012 11:32:19 +0100

netcdf (1:4.1.3-3) unstable; urgency=low

  * Drop the non-sense package libnetcdf6. Repeat after me: always think twice
    before releasing two versions in a row.
    (closes: #661717)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 29 Feb 2012 21:26:38 +0100

netcdf (1:4.1.3-2) unstable; urgency=low

  * Always copy symlinks instead of dereferencing, in debian/rules.
  * This version also breaks oldstable libnetcdf4, if still around.
    (closes: #661553)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 27 Feb 2012 23:39:59 +0100

netcdf (1:4.1.3-1) unstable; urgency=low

  * Promoted to unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 26 Feb 2012 23:08:01 +0100

netcdf (1:4.1.3-1~exp3) experimental; urgency=low

  * Removed duplicaed libraries in linetcdfc7.
    (closes: #660318)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Sun, 19 Feb 2012 12:58:43 +0100

netcdf (1:4.1.3-1~exp2) experimental; urgency=low

  * Merged changes from sid 4.1.1 branch to allow a smooth upgrade from
    previous version (closes: #656103):

      o Splitted C/C++/Fortran bindings for a better and sane migration path
        towards 4.1.3 and beyond. Also the CF library now lives in its own
        binary package. Note that all libraries now provide their own 
        SONAMEs and API versionings. 
      o The libnetcdf6 package is now a dummy removable onei used only
        for migration.
      o Removed duplicated pkgconfig file under /usr/lib.
      o Added missing libcf0 to netcdf-dbg package in debian/control.


 -- Francesco Paolo Lovergine <frankie@debian.org>  Fri, 17 Feb 2012 13:25:36 +0100

netcdf (1:4.1.3-1~exp1) experimental; urgency=low

  * New upstream release.
  * Moved to source format 3.0 with direct quilt support.
  * Dropped all current patches (obsolete or applied upstream).
  * Added build-dep on CUnit for unit tests.
  * Moved to new SONAMEs and added new libcf and libcf-dev packages
    to split up the libCF embedded library. It necessarily introduces
    a break at this stage against 4.1.1 version. It is unfortunate but
    necessary, because API/ABI does not necessarily change in sync at 
    every release of NetCDF, as in this case.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 30 Nov 2011 12:42:22 +0100

netcdf (1:4.1.1-6) unstable; urgency=low

  * Moved repository to git.
  * Changed debian/control RCS urls.
  * Bumped policy to 3.9.2, without changes.
  * Now set minimal debhelper level to 8.
  * Source format maintained to 1.0 with source/format support. Quilt support 
    is still done at debian/rules level with tarball packaging style.
  * Added patch `noshutdown' to avoid closing HDF5 library. Thanks Enrico and
    others.
    (closes: #644134)
  * The rebuild causes regeneration of .mod files with current default Fortran
    compiler. This is only a side effect, but someone should allow managing that in
    a proper way instead :-/
    (closes: #618967, #643894, #642957, #630564)
  * Fixed build error with a simple new patch `dumplib'. Thanks Enrico.
    (closes: #643445)
  * Changed long description for netcdf documentation.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Tue, 25 Oct 2011 13:33:23 +0200

netcdf (1:4.1.1-5) unstable; urgency=low

  * Uploaded to unstable.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 16:39:38 +0200

netcdf (1:4.1.1-4) experimental; urgency=low

  * Now it does not run check at building time: for unknown reasons it fails
    for some tests under buildd. 
    (closes: #577715)

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 19 Apr 2010 15:08:52 +0200

netcdf (1:4.1.1-3) experimental; urgency=low

  * Added la_libadd_fix patch to re-add la_libadd entry for HDF5 libraries into
    libsrc4/Makefile.am. Patch is the results of autotools after that.
  * Removed previous trick.
  * Added texlive-base and texlive-latex-base as build-dep, which are required
    for a workig texi2dvi.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Wed, 14 Apr 2010 15:54:02 +0200

netcdf (1:4.1.1-2) experimental; urgency=low

  * Added an explicit linking to HDF5 and libz to avoid undefs at linking time. 
    This is a problem in final 4.1.1 that needs a better solution.

 -- Francesco Paolo Lovergine <frankie@debian.org>  Mon, 12 Apr 2010 12:49:44 +0200

netcdf (1:4.1.1-1) experimental; urgency=low

  * New upstream release with various building fix merged. Thanks Ed
    and other UCAR folks.
  * Merged cfortran changes, so dropped cfortran patch.


=== debian/control ===
Source: netcdf
Section: science
Priority: optional
Maintainer: Debian GIS Project <pkg-grass-devel@lists.alioth.debian.org>
Uploaders: Francesco Paolo Lovergine <frankie@debian.org>
Build-Depends: debhelper (>= 8), cdbs, gfortran, texinfo, zlib1g-dev, libhdf5-dev (>= 1.8.6-1~), libdap-dev, libcurl4-gnutls-dev, dh-autoreconf, automake1.11,
 texlive-base, texlive-latex-base, libcunit1-dev
Standards-Version: 3.9.4
Homepage: http://www.unidata.ucar.edu/software/netcdf/
Vcs-Browser: http://git.debian.org/?p=pkg-grass/netcdf.git
Vcs-Git: git://git.debian.org/git/pkg-grass/netcdf.git

Package: netcdf-doc
Section: doc
Architecture: all
Depends: dpkg (>= 1.15.4) | install-info, ${misc:Depends}
Description: Documentation for NetCDF and CF
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains documentation for the NetCDF library in a
 variety of formats.

Package: libnetcdfc7
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C run-time shared libraries required
 by programs.

Package: libnetcdff5
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the Fortran77/90 run-time shared libraries
 required by programs.

Package: libnetcdfc++4
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4, libnetcdfc++5 (<= 1:4.1.3-4)
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4, libnetcdfc++5 (<= 1:4.1.3-4)
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the C++ run-time shared libraries
 required by programs.

Package: libcf0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Breaks: libnetcdf6 (<< 1:4.1.1-7~), libnetcdf4
Homepage: http://www.unidata.ucar.edu/software/libcf/
Description: Interface for scientific data access to large binary data
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package contains the add-on CF run-time C shared library that uses
 the NetCDF API to manage Climate and Forecasts standards complaining
 data files.

Package: netcdf-dbg
Section: debug
Priority: extra
Architecture: any
Depends: libnetcdfc7 (= ${binary:Version}), libnetcdff5 (= ${binary:Version}),
 libnetcdfc++4 (= ${binary:Version}), libcf0 (= ${binary:Version}), ${misc:Depends}
Suggests: gdb
Description: debugging symbols for NetCDF
 This package contains the files that make it possible to debug the
 NetCDF binaries and programs that use the NetCDF libraries with a
 source-level debugger like gdb.

Package: libnetcdf-dev
Section: libdevel
Architecture: any
Depends: libnetcdfc7 (= ${binary:Version}), libnetcdff5 (= ${binary:Version}), 
 libnetcdfc++4 (= ${binary:Version}), libcf0 (= ${binary:Version}), ${misc:Depends}
Suggests: netcdf-bin, netcdf-doc
Recommends: pkg-config
Description: Development kit for NetCDF
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package includes everything needed for developing in C, C++,
 Fortran 77, and Fortran 90.

Package: netcdf-bin
Section: science
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Programs for reading and writing NetCDF files
 Contains the programs ncdump and ncgen which convert NetCDF
 files to ASCII and back, respectively. NetCDF (network Common Data
 Form) is an interface for scientific data access and a
 freely-distributed software library that provides an implementation
 of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/autotools.mk

export AUTOMAKE = automake-1.11
export ACLOCAL = aclocal-1.11
include /usr/share/cdbs/1/rules/autoreconf.mk

# Add here any variable or target overrides you need.

# Note that hdf5 dir has to be specified due to a bug into fortran/Makefile.am which causes
# skipping of fort-nc4.c without that.
#
# Remote sites could be not available at check time, so disabling some tests...
#DEB_CONFIGURE_EXTRA_FLAGS := --enable-shared --enable-pic --enable-docs-install --enable-netcdf-4  --with-hdf5=/usr --with-libcf --enable-dap 
# This is useful to avoid remote Nap checks
DEB_CONFIGURE_EXTRA_FLAGS := --enable-shared --enable-pic --enable-docs-install --enable-netcdf-4  --with-hdf5=/usr --with-libcf --enable-dap --disable-dap-remote-tests
DEB_CONFIGURE_SCRIPT_ENV += FC="gfortran"
DEB_CONFIGURE_SCRIPT_ENV += CXX="g++"
DEB_CONFIGURE_SCRIPT_ENV += CC="gcc"
DEB_CONFIGURE_SCRIPT_ENV += CPPFLAGS="-DgFortran"

DEB_MAKE_CHECK_TARGET = check

DEB_INSTALL_CHANGELOGS_ALL = $(CURDIR)/RELEASE_NOTES

DEB_SHLIBDEPS_INCLUDE := debian/tmp/usr/lib/

# Any makebuilddir/binary would do, /source doesn't:
#makebuilddir/libnetcdf4::
#	autoreconf -vfi

install/libnetcdfc7::
	find debian/tmp/usr/lib/ -name 'libnetcdf.*' -a ! -type d \
			-a ! -name '*.so' -a ! -name '*.a' \
			-a ! -name '*.la' -a ! -name '*.pc' \
			-exec cp -d {} debian/libnetcdfc7/usr/lib/ \;

install/libnetcdff5::
	find debian/tmp/usr/lib/ -name 'libnetcdff.*' -a ! -type d \
		-a ! -name '*.so' -a ! -name '*.a' -a ! -name '*.la' -a ! -name '*.pc' \
		-exec cp -d {} debian/libnetcdff5/usr/lib/ \;

install/libnetcdfc++4::
	find debian/tmp/usr/lib/ -name 'libnetcdf_c++.*' -a ! -type d \
		-a ! -name '*.so' -a ! -name '*.a' -a ! -name '*.la' -a ! -name '*.pc' \
		-exec cp -d {} debian/libnetcdfc++4/usr/lib/ \;

install/libcf0::
	find debian/tmp/usr/lib/ -name 'libcf.*' -a ! -type d \
		-a ! -name '*.so' -a ! -name '*.a' -a ! -name '*.la' -a ! -name '*.pc' \
		-exec cp -d {} debian/libcf0/usr/lib/ \;

install/libnetcdf-dev::
	cp debian/tmp/usr/include/* debian/libnetcdf-dev/usr/include/.
	install -m 644 -o root -g root  $(CURDIR)/netcdf.pc debian/libnetcdf-dev/usr/lib/pkgconfig/.
	# removes an erroneous libpath due to an upstream oversight in configure.ac
	sed -i -e 's,-L/usr ,,' -e 's,@FLIBS@,,' debian/libnetcdf-dev/usr/lib/pkgconfig/netcdf.pc
	# move links and files
	find debian/tmp/usr/lib/ -type l -a -name "libnetcdf*" -a -name '*.so' -exec cp -d {} debian/libnetcdf-dev/usr/lib/. \;
	find debian/tmp/usr/lib/ -type f -a -name "libnetcdf*" -a -name '*.a' -exec cp -d {} debian/libnetcdf-dev/usr/lib/. \;

install/netcdf-bin::
	mv debian/tmp/usr/bin/* debian/netcdf-bin/usr/bin/

install/netcdf-doc::
	install -d debian/tmp/doc
	install -d debian/tmp/usr/share/doc/netcdf
	install -d debian/tmp/usr/share/info
	install -m 644 -o root -g root $(CURDIR)/man4/*.html debian/tmp/doc/.
	install -m 644 -o root -g root $(CURDIR)/man4/*.pdf debian/tmp/usr/share/doc/netcdf/.
	install -m 644 -o root -g root $(CURDIR)/man4/*.txt debian/tmp/usr/share/doc/netcdf/.
	install -m 644 -o root -g root $(CURDIR)/man4/*.ps debian/tmp/usr/share/doc/netcdf/.
	install -m 644 -o root -g root $(CURDIR)/man4/*.info debian/tmp/usr/share/info/.

=== debian/watch ===
version=3
#opts="uversionmangle=s/^[[:digit:]]*\.[[:digit:]]*-beta[[:digit:]]*/0.0.1/" \
ftp://ftp.unidata.ucar.edu/pub/netcdf/netcdf-([[:digit:]\.]*)\.tar\.gz debian uupdate
